<!doctype html>
<html lang="es">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Uso de bordes</title>

    <!-- CSS de bootstrap -->
    <link rel="stylesheet" href="css/bootstrap.min.css" rel="stylesheet">

    <style>
      .caja{
        background: black;
        width: 100px;
        height: 100px;
      }
    </style>
    
  </head>
  <body class="bg-dark">  
    <main>
      <div class="container">
        <div class="row">
          <h3 class="display-4">Uso de bordes</h3>
          <div class="col-12 py-3 d-flex justify-content-between">
            <div class="caja border d-inline-block"></div>
            <div class="caja border-top d-inline-block"></div>
            <div class="caja border-bottom d-inline-block"></div>
            <div class="caja border-start d-inline-block"></div>
            <div class="caja border-end d-inline-block"></div>            
          </div>

          <div class="col-12 py-3 d-flex justify-content-between">
            <div class="caja border d-inline-block"></div>
            <div class="caja border border-top-0 d-inline-block"></div>
            <div class="caja border border-bottom-0 d-inline-block"></div>
            <div class="caja border border-start-0 d-inline-block"></div>
            <div class="caja border border-end-0 d-inline-block"></div>            
          </div>

          <div class="col-12 py-3 d-flex justify-content-between">
            <div class="caja border border-primary d-inline-block"></div>
            <div class="caja border border-secondary d-inline-block"></div>
            <div class="caja border border-success d-inline-block"></div>
            <div class="caja border border-warning d-inline-block"></div>
            <div class="caja border border-danger d-inline-block"></div>
            <div class="caja border border-info d-inline-block"></div>
            <div class="caja border border-light d-inline-block"></div>
            <div class="caja border border-dark d-inline-block"></div>
            <div class="caja border border-white d-inline-block"></div>
                      
          </div>
        </div>
      </div>
    </main>
    

    <!-- Jquery 3.6 -->
    <script src="js/jquery.js"></script>
    <!-- Production version -->
    <script src="https://unpkg.com/@popperjs/core@2"></script>
    <!-- JS de bootstrap -->
    <script src="js/bootstrap.min.js"></script>
  
  </body>
</html>